Subject: OMAP baseline test results for v3.7-rc2

From: [email-masked] (Matt Porter)
Date: Tue, 23 Oct 2012 09:11:53 -0400

On Tue, Oct 23, 2012 at 08:24:36AM -0400, Matt Porter wrote:
> On Tue, Oct 23, 2012 at 03:15:44AM +0000, Paul Walmsley wrote:
> > On Mon, 22 Oct 2012, Matt Porter wrote:
> > 
> > > I've mentioned this a few times in various threads...no need to use
> > > appended DTB on a current U-Boot. Some of us are indeed booting this way
> > > with the DTB properly passed separately from the bootloader and chosen
> > > filled out by the bootloader. And yes, am335x_evm_config applies to all
> > > AM33xx TI EVMs and the BeagleBone board. There's an EEPROM onboard all
> > > that is used to determine what board is present so a single
> > > MLO/u-boot.img can be used.
> > 
> > As Kevin mentioned earlier, this is unfortunately not true for those of us 
> > with earlier BeagleBoards:
> > 
> >    http://marc.info/?l=linux-omap&m=135094296931913&w=2
> 
> Yes, we spoke about this a bit.
>  
> > Do you know what the minimum board revision is that you all are 
> > supporting in U-boot?
> 
> It's not so much a revision as it is getting the right contents in the
> EEPROM. As it's a community board, it's generally only supported over at
> beagleboard at googlegroups.com. Jason Kridner recommends posting support
> questions there (like why isn't my A2 supported in U-Boot?). If there
> isn't some solution suggested there for updating the A2 I would contact
> him directly. I have an A1 Bone here that also doesn't work with
> mainline U-Boot even after configuring the EEPROM. You can try this
> procedure if you want to write the proper contents in, an A2 may work
> but for some reason there's no available history on Bone revisions prior
> to A3. I vaguely recall a lot of chatter around the phy and so forth in
> the A1 to A2 timeframe so it's entirely possible that your A2 will work
> with just the eeprom contents programmed. Without it, it's guaranteed to
> fail as the pin muxing is tied to detecting the board this way. Also,
> you may need to change <offset>.1 in the below example to <offset>.2 for
> your eeprom i/o to work as A2 may require an address length of 2.

Ok, very quick update...no need to mess around with the eeprom. I just
received the official word on what will be supported. Since A2 is
pre-release, simply go to http://beagleboard.org/support/rma and fill
out the form to have it replaced with the current revision (A6).

This applies to *anyone* that received a pre-release A2 board.

-Matt